Name:           ncmpcpp
Version:        0.3.2
Release:        1%{?dist}
Summary:        Clone of ncmpc with new features and written in C++
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://unkart.ovh.org/ncmpcpp
Source0:        http://unkart.ovh.org/ncmpcpp/%{name}-%{version}.tar.bz2
Patch0:         ncmpcpp-0.3.2-charset.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  curl-devel
BuildRequires:  taglib-devel
BuildRequires:  ncurses-devel


%description
Ncmpcpp is almost exact clone of ncmpc but it contains some new 
features ncmpc doesn't have. It's been also rewritten from scratch 
in C++. New features include: tag editor, playlists editor, easy to 
use search screen, media library screen, lyrics screen and more.


%prep
%setup -q
# upstream patch, compilation was failing
# --> http://repo.or.cz/w/ncmpcpp.git?a=commitdiff;h=503c4964d56a1140331d02c0f56dfc7efb733c40#patch1
%patch0 -p1


%build
%configure --disable-static --enable-clock --with-taglib --with-curl 

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make DESTDIR="%{buildroot}" INSTALL="install -p" docdir="%{_docdir}/%{name}-%{version}" install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/config doc/keys AUTHORS NEWS COPYING
%{_bindir}/ncmpcpp
%{_mandir}/man1/%{name}*


%changelog
* Mon Mar 23 2009 Michal Nowak <mnowak@redhat.com> - 0.3.2-1
- 0.3.2
- added ncmpcpp man page
- enabled built-in clock

* Fri Mar 13 2009 Michal Nowak <mnowak@redhat.com> 0.3.1-1
- 0.3.1

* Thu Jan 15 2009 Michal Nowak <mnowak@redhat.com> 0.2.5-4
- disable building static archives

* Tue Jan 13 2009 Michal Nowak <mnowak@redhat.com> 0.2.5-3
- minor SPEC file changes

* Thu Dec 11 2008 Michal Nowak <mnowak@redhat.com> 0.2.5-2
- added ncurses-devel as BuildRequires

* Tue Dec  9 2008 Michal Nowak <mnowak@redhat.com> 0.2.5-1
- 0.2.5

